/**
 * Copyright 2006-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.xmlconfig.properties;

import java.util.Properties;

/**
 * A {@code PropertiesBasedResolver} is a property resolver based on
 * the {@code Properties} type.
 *
 * @author Guillaume Sauthier
 */
public class PropertiesBasedResolver implements IPropertyResolver {

    /**
     * Properties used to resolve variable's value.
     */
    private Properties properties;

    public PropertiesBasedResolver(final Properties properties) {
        this.properties = properties;
    }

    public String resolve(final String name) {
        return properties.getProperty(name);
    }
}
